<?php
// 应用公共文件

function __autoload($class){
    if(file_exists($GLOBALS['config']['socket_controller'].$class.'.php')) {
        require_once($GLOBALS['config']['socket_controller'].$class.'.php');
    }else{
        echo_log("找不到对应的文件: $class ".__LINE__);
    }
}

function echo_log($data,$data2=''){
	//如果打开了调试
	if(is_array($data) || is_object($data)) {
		var_dump(date("Y-m-d H:i ") . $data);
	} else {
		echo(date("Y-m-d H:i ") . $data);
	}
	echo("\r\n");
	if (!empty($data2)) {
		if(is_array($data2) || is_object($data2)) {
			var_dump(date("Y-m-d H:i ") . $data2);
		} else {
			echo($data2);
		}
	}
	echo("\r\n\r\n");
}

function post_curl($url,$data,$header = array(), $is_ssl = false) {

	$ch = curl_init(); // 启动一个CURL会话
	curl_setopt($ch, CURLOPT_URL, $url); // 要访问的地址
	if ($is_ssl) {
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0); // 对认证证书来源的检查
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2); // 从证书中检查SSL加密算法是否存在
		curl_setopt($ch, CURLOPT_SSLVERSION, 1); // 设定SSL版本,微信时候使用1，否则报错
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	}
	if ($data) {
		curl_setopt($ch, CURLOPT_POST, 1); // 发送一个常规的Post请求
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data); // Post提交的数据包
	}
	$header[]= "Sercet: edf_a3d1bf7760f3485aa2f7bd4a3124db71";
	$header[]= "Time: ".date('YmdHis');
	if ($header) {
		curl_setopt($ch,CURLOPT_HTTPHEADER,$header);
	}
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); // 获取的信息以文件流的形式返回

	$out = curl_exec($ch);
	$outArr = json_decode($out, true);
	if($outArr) {
		return $outArr;
	} else {
		return $out;
	}

}

function aaa() {
	return $GLOBALS['config']['img_path'];
}

function db($config) {

	//创建新连接
	$con = new mysqli($config['DB_HOST'],$config['DB_USER'],$config['DB_PWD'],$config['DB_NAME'],$config['DB_PORT']);
	if($con){
		$con->set_charset("utf8");
		return $con;
	}else{
		echo("connect database is error!!".$con->connect_error);
		return false;
	}
}

function cache($config) {
	$con = new Redis();
	$con->connect($config['host'], $config['port']);
	if(!empty($config['auth'])){
		$this->auth($config['auth']);
	}
	return $con;
}